Summary:	Tools for accessing and converting ebook file formats
Summary(pl.UTF-8):	Narzędzia do odczytu i konwersji formatów plików ebooków
Name:		ebook-tools
Version:	0.2.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://downloads.sourceforge.net/ebook-tools/%{name}-%{version}.tar.gz
# Source0-md5:	67bce67ceb72dcc3578d6a81ef92b29b
URL:		http://ebook-tools.sourceforge.net/
BuildRequires:	cmake >= 2.4.0
BuildRequires:	libxml2-devel
BuildRequires:	libzip-devel
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ebook-tools provides tools for accessing and converting various ebook
file formats.

%description -l pl.UTF-8
Pakiet ebook-tools dostarcza narzędzia do odczytu i konwersji różnych
formatów plików ebooków.

%package devel
Summary:	ebook-tools - header files for libepub library
Summary(pl.UTF-8):	ebook-tools - pliki nagłówkowe biblioteki libepub
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files for ebook-tools libepub library.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe biblioteki libepub z pakietu
ebook-tools.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_CXX_COMPILER_WORKS=1 \
	-DCMAKE_CXX_COMPILER="%{__cc}" \
	-DCMAKE_VERBOSE_MAKEFILE=1 \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README TODO
%attr(755,root,root) %{_bindir}/einfo
%attr(755,root,root) %{_bindir}/lit2epub
%attr(755,root,root) %{_libdir}/libepub.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepub.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepub.so
%{_includedir}/epub.h
%{_includedir}/epub_shared.h
%{_includedir}/epub_version.h
%changelog
* Thu Oct 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 3c00782
- package docs
- License is MIT
- adjusted Group (nothing to do with X11)

* Wed Oct 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 96d5d7f
- updated to 0.2.2
- patch0 applied upstream

* Wed Oct 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> adf95e0
- obsoleted

* Thu Mar 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4484c19
- release 3

* Mon Mar 21 2011 Artur Frysiak <artur@frysiak.net> 848ae2b
- rel. 2

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 66861e8
- updated to 0.2.1
- updated lib64 patch

* Wed Dec 02 2009 sparky <sparky@pld-linux.org> fc78d08
- BR: libxml2-devel
- trick cmake not to require unneeded c++ compiler

* Thu Jun 26 2008 Paweł Sikora <pluto@pld-linux.org> a7b790b
- run ldconfig, release 2.

* Fri Jun 20 2008 shadzik <shadzik@pld-linux.org> 67bc8a0
- fix 64bit build
- add patch0

* Fri Jun 20 2008 shadzik <shadzik@pld-linux.org> fac18e4
- 64bit fix

* Fri Jun 20 2008 shadzik <shadzik@pld-linux.org> 4c04c67
- BR: libzip-devel

* Fri Jun 20 2008 shadzik <shadzik@pld-linux.org> be07000
- typo

* Fri Jun 20 2008 shadzik <shadzik@pld-linux.org> 83856fa
- always use chroot-like folder for building with cmake

* Sun Jun 15 2008 Elan Ruusamäe <glen@pld-linux.org> d3eaba3
- cmake deps, add URL
- ghost soname symlink
- adapter

* Sun Jun 15 2008 Robert Tomasik <rotom@pld-linux.org> e4e9243
- up to 0.1.1

* Sun Jun 15 2008 Robert Tomasik <rotom@pld-linux.org> c367359
- desc added;
- devel subpackage

* Sun Jun 15 2008 Robert Tomasik <rotom@pld-linux.org> 98ebeb8
- initial

